# ProPlus Design Solutions

ProPlus Design Solutions, Inc.
2025 Gateway Place, Suite 130, San Jose, CA 95110, USA
Tel: +1-408-459-6128
Fax: +1-408-459-6111

* https://www.proplussolutions.com/products-en.php

ProPlus offers the industry's leading SPICE modeling solution for advanced SPICE model extraction at
all leading foundries, the first and only GigaSpice for giga-scale SPICE simulations, and an unique
Design-for-Yield solution targeted for yield and PPA trade-off for advanced circuit designs. It also
provides an innovative design environment to bridge process development, CAD and circuit design,
enabling designers to select the most suitable process platform, and make full use of process to
achieve more competitive designs at advanced technologies.

## BSIMProPlus

https://www.proplussolutions.com/bsim-en.php

BSIMProPlus™ is industry's leading SPICE modeling platform for advanced semiconductor devices. As
the technology and market leader for SPICE modeling, it has been adopted as the standard modeling
tool by over 100 worldwide leading semiconductor companies for over 20 years. BSIMProPlus provides
the most powerful SPICE modeling functions with its built-in parallel SPICE engine, and offers full
SPICE modeling capabilities from baseband to high frequency for various semiconductor devices,
including characterization, auto model extraction and parameter optimization, model validation,
etc. BSIMProPlus supports all public domain SPICE models and popular proprietary models, and offers
the most accurate and efficient SPICE model extraction, customization and validation solutions for
advanced process development and integrated circuit designs.

## NanoSpice

https://www.proplussolutions.com/nanospice-en.php

Founded in 2006, ProPlus Design Solutions, Inc., delivers Electronic Design Automation (EDA)
solutions with the mission to enhance the link between design and manufacturing. As the leading
provider of nano-scale SPICE modeling, giga-scale SPICE simulation and design for yield (DFY)
applications, it provides the industry's golden SPICE modeling platform, the first and only
GigaSpice simulator, and the only integrated DFY design platform.

NanoSpice™ is a new generation high-capacity, high-performance parallel SPICE simulator, designed
for the toughest simulation jobs, such as large post-layout analog circuit simulations that require
capacity, speed and accuracy simultaneously. With its superior parallelization technologies,
NanoSpice handles generic circuit simulation with 50M+ elements circuit size, an incomparable
advantage no other SPICE simulator has, and delivers better performance as compared to other
parallel SPICE simulators for large simulation jobs. NanoSpice also has an innovative, efficient and
cost-effective parallelization license model.

# Silvaco

https://www.silvaco.com/products/analog_mixed_signal/smartspice.html

Parallel SPICE Circuit Simulator

Silvaco’s SmartSpice™ is a high performance parallel SPICE simulator that delivers industry leading
accuracy. It is a proven, comprehensive solution for applications including simulation of complex
high precision analog and mixed-signal circuits, memory, custom digital design and characterizing
cell libraries of advanced semiconductor processes.

Introduction

Circuit simulation has been fundamental to the development of electronic devices for many
years. Now, shrinking silicon geometries are forcing an even greater premium on accuracy in order to
capture and evaluate all the new physical effects in nanometer design. Yet they also often pose
extreme requirements on simulation capacity and performance. Traditional SPICE tools may provide
sufficient accuracy, but run too slow or suffer significant capacity constraints. FastSPICE-type
products attempt to meet performance requirements but sacrifice accuracy. Both are increasingly
unacceptable compromises.

Silvaco’s SmartSpice uses an intelligent architecture deploying multiple solvers, stepping
algorithms and computation techniques. The result is accurate, robust convergence and industry
leading performance and capacity – over 8 million active devices. It is compatible with HSPICE and
Spectre for netlists, models, analysis features, and results – plus large libraries of calibrated
device models are available. Featuring integration with Silvaco Gateway schematic editor and
SmartView waveform viewer, SmartSpice fits seamlessly into front-end analog IC design flows.

Features

* HSPICETM and SpectreTM compatible for netlists, models, analysis features and results
* Large collection of calibrated SPICE models for traditional (Bipolar, CMOS) and advanced
  technologies (TFT, OTFT, SOI, HBT, FRAM, FinFET etc.)
* Verilog-A based open model development environment and debug, with extensive analog behavioral capability
* Unique Rubberbanding feature that allows designer to modify model, instance and user-defined
  parameters and interactively see in SmartView how the simulation changes in real time
* Integrated with cell characterization products AccuCell XT and AccuCore XT
* All models support advanced convergence algorithms, temperature dependencies, montecarlo simulation.
* Batch and interactive modes of operation, plus ability to run directly from the Gateway Schematic Capture environment
* Parallel simulation using multiple 64-bit CPUs for near linear speedup
* Network distributed Monte- Carlo and worst case analysis
* SEE (Single Event Effects) reliability analysis for nanometer scale designs
* Silvaco SPICE modeling services are available to extract DC, AC, S-parameters, capacitance,
  temperature, noise and SPICE parameters over full temperature and corner model statistical
  analysis

Benefits

* Delivers the accuracy, capacity, and simulation performance required for critical complex analog
  and mixed-signal designs at nanometer silicon nodes
* Easy integration into analog front-end flows with support of standard design formats, languages and tools

Applications

* Analog, mixed-signal
* Memory design
* FPD design
* Custom digital
* Library Characterization

Technical Specifications

* Supported industry standard netlist format: Berkeley SPICE, HSPICE and Spectre netlists,
  S-parameter files, W-element RLGC matrix files, S-parameter model files, Verilog-A
* Output formats: rawfiles, Spectre PSF, HSPICE tr0 and mt0, analysis results, measurement data
* Compatibility with HSIM, Spectre, Eldo
* Rich analysis feature set including AC, DC, transient, noise, distortion, operating point, pole- zero, FFT and noise analysis
* Supported DSPF back-annotation and RLC reduction on netlist
